import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesLineComponent extends TdSeriesDirective {
    coordinateSystem;
    xAxisIndex;
    yAxisIndex;
    polarIndex;
    symbol;
    symbolSize;
    symbolRotate;
    symbolKeepAspect;
    symbolOffset;
    showSymbol;
    showAllSymbol;
    hoverAnimation;
    legendHoverLink;
    stack;
    cursor;
    connectNulls;
    clipOverflow;
    step;
    label;
    itemStyle;
    lineStyle;
    areaStyle;
    emphasis;
    smooth;
    smoothMonotone;
    sampling;
    dimensions;
    encode;
    seriesLayoutBy;
    datasetIndex;
    markPoint;
    markLine;
    markArea;
    zlevel;
    z;
    silent;
    constructor(_optionsService) {
        super('line', _optionsService);
    }
    getConfig() {
        return {
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            polarIndex: this.polarIndex,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            symbolOffset: this.symbolOffset,
            showSymbol: this.showSymbol,
            showAllSymbol: this.showAllSymbol,
            hoverAnimation: this.hoverAnimation,
            legendHoverLink: this.legendHoverLink,
            stack: this.stack,
            cursor: this.cursor,
            connectNulls: this.connectNulls,
            clipOverflow: this.clipOverflow,
            step: this.step,
            label: this.label,
            itemStyle: this.itemStyle,
            lineStyle: this.lineStyle,
            areaStyle: this.areaStyle,
            emphasis: this.emphasis,
            smooth: this.smooth,
            smoothMonotone: this.smoothMonotone,
            sampling: this.sampling,
            dimensions: this.dimensions,
            encode: this.encode,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            silent: this.silent,
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: TdChartSeriesLineComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.1.7", type: TdChartSeriesLineComponent, selector: "td-chart-series[td-line]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", polarIndex: "polarIndex", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", symbolOffset: "symbolOffset", showSymbol: "showSymbol", showAllSymbol: "showAllSymbol", hoverAnimation: "hoverAnimation", legendHoverLink: "legendHoverLink", stack: "stack", cursor: "cursor", connectNulls: "connectNulls", clipOverflow: "clipOverflow", step: "step", label: "label", itemStyle: "itemStyle", lineStyle: "lineStyle", areaStyle: "areaStyle", emphasis: "emphasis", smooth: "smooth", smoothMonotone: "smoothMonotone", sampling: "sampling", dimensions: "dimensions", encode: "encode", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", silent: "silent" }, providers: [
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef(() => TdChartSeriesLineComponent),
            },
        ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: TdChartSeriesLineComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-line]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesLineComponent),
                        },
                    ],
                }]
        }], ctorParameters: function () { return [{ type: i1.TdChartOptionsService }]; }, propDecorators: { coordinateSystem: [{
                type: Input
            }], xAxisIndex: [{
                type: Input
            }], yAxisIndex: [{
                type: Input
            }], polarIndex: [{
                type: Input
            }], symbol: [{
                type: Input
            }], symbolSize: [{
                type: Input
            }], symbolRotate: [{
                type: Input
            }], symbolKeepAspect: [{
                type: Input
            }], symbolOffset: [{
                type: Input
            }], showSymbol: [{
                type: Input
            }], showAllSymbol: [{
                type: Input
            }], hoverAnimation: [{
                type: Input
            }], legendHoverLink: [{
                type: Input
            }], stack: [{
                type: Input
            }], cursor: [{
                type: Input
            }], connectNulls: [{
                type: Input
            }], clipOverflow: [{
                type: Input
            }], step: [{
                type: Input
            }], label: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], lineStyle: [{
                type: Input
            }], areaStyle: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], smooth: [{
                type: Input
            }], smoothMonotone: [{
                type: Input
            }], sampling: [{
                type: Input
            }], dimensions: [{
                type: Input
            }], encode: [{
                type: Input
            }], seriesLayoutBy: [{
                type: Input
            }], datasetIndex: [{
                type: Input
            }], markPoint: [{
                type: Input
            }], markLine: [{
                type: Input
            }], markArea: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }], silent: [{
                type: Input
            }] } });

const LINE_MODULE_COMPONENTS = [TdChartSeriesLineComponent];
class CovalentLineEchartsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: CovalentLineEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.1.7", ngImport: i0, type: CovalentLineEchartsModule, declarations: [TdChartSeriesLineComponent], imports: [CommonModule], exports: [TdChartSeriesLineComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: CovalentLineEchartsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: CovalentLineEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [LINE_MODULE_COMPONENTS],
                    exports: [LINE_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentLineEchartsModule, LINE_MODULE_COMPONENTS, TdChartSeriesLineComponent };
//# sourceMappingURL=covalent-echarts-line.mjs.map
